Subject: RE: assert.h and undefined assert() in ld
From: [email-masked] (Paul Hepworth)

20 Mar 1998 23:21:30 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: "[email-masked]'" <[email-masked]>, [email-masked]

> >What's the trick to getting assert to work?  Compiles fine, linker bails
> >with undefined reference to assert().  What flag do I need to include the
> >assert.
> >(FWIW, I don't need to do anything special to make assert work under gcc
> for
> >Solaris)
> 
> just guessing:
> 
> 	#include <assert.h>
> 
Very funny.

> if you already are doing this, look at assert.h to see what the
> problem is. try gcc -E to see what's coming out of cpp, ...
> 
Been there, done that.  Assert.h (and gcc -E) generate calls to __assert(),
which the linker can't find.  (Meaning it isn't in the crt, I imagine.)

Paul

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".